package nl.sbdeveloper.themeparkplus.api.enums;

import nl.sbdeveloper.themeparkplus.util.DirectionUtil;
import org.bukkit.block.BlockFace;

public enum WalkingDirection {
    /**
     * The walking direction.
     * We can't use BlockFace here, because we only support 4 directions.
     */
    NORTH,
    EAST,
    SOUTH,
    WEST;

    public BlockFace getBlockFace() {
        return DirectionUtil.convertFacing(this);
    }
}
